Subject: result string from contentfilter

From: Eugene Crosser <[email-masked]>
Date: 23 Aug 2002 20:38:15 +0400

As far as I can see, when using contentfilter, report string is always
taken from the program output.  While useful in case of error codes, it
seems that for "OK" codes it would be better to preserve standard
Zmailer answer string, because it contains local spoolid which is very
handy for tracking down questionable messages.  What do you think?
-- 
Eugene Crosser, head of Internet Applications section, +7 501 787 1000
ROL, Teleross, Golden Telecom, http://user.rol.ru/~crosser/

-
To unsubscribe from this list: send the line "unsubscribe zmailer" in
the body of a message to [email-masked]

---

From: Matti Aarnio <[email-masked]>
Date: Fri, 23 Aug 2002 20:19:09 +0300

On Fri, Aug 23, 2002 at 08:38:15PM +0400, Eugene Crosser wrote:
> As far as I can see, when using contentfilter, report string is
> always taken from the program output.  While useful in case of
> error codes, it seems that for "OK" codes it would be better to
> preserve standard Zmailer answer string, because it contains
> local spoolid which is very handy for tracking down questionable
> messages.  What do you think?

  I was sure I forgot something...
  Actually i did remember that, but didn't yet have time to do
  (possibly multiline -- CR:s in reply to be translated into
   multiple lines) the message processing and spoolid presenting.
  Easiest is, I think, just append the spoolid on a message printout.
  I will do that.

  The initial interface protocol didn't quite work at first,
  so I am not yet convinced that this fresh rewrite will
  work either.  I need to do a bit of testing myself -- at
  a test-box without active traffic, e.g. where the code can
  be debugged without loosing important traffic...

  I planned to do that debugging tonight (or earlier today,
  which didn't happen..)

-- 
/Matti Aarnio	<[email-masked]>
-
To unsubscribe from this list: send the line "unsubscribe zmailer" in
the body of a message to [email-masked]